summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-12-06 15:03:16 +0100
committerRemi Collet <remi@remirepo.net>2018-12-06 15:03:16 +0100
commitbd617b749067f272b31580d2e9a6c879675ac4f0 (patch)
tree2ee591119f5a59f74c420e895945bcd9ad4263df
parentc622703d84b241249ac0eec20bfa7e6f90a08cba (diff)
cleanup for EL-8HEADmaster
-rw-r--r--php-zendframework-zend-session.spec11
1 files changed, 7 insertions, 4 deletions
diff --git a/php-zendframework-zend-session.spec b/php-zendframework-zend-session.spec
index 961bf78..d88b199 100644
--- a/php-zendframework-zend-session.spec
+++ b/php-zendframework-zend-session.spec
@@ -21,7 +21,7 @@
Name: php-%{gh_owner}-%{gh_project}
Version: 2.8.5
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: Zend Framework %{library} component
License: BSD
@@ -52,7 +52,7 @@ BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.5
# "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3",
# "zendframework/zend-validator": "^2.6"
# remirepo:1
-%if 0%{fedora} >= 27
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/zend-cache) >= 2.6.1 with php-autoloader(%{gh_owner}/zend-cache) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/zend-db) >= 2.7 with php-autoloader(%{gh_owner}/zend-db) < 3)
@@ -82,7 +82,7 @@ BuildRequires: php-fedora-autoloader-devel
Requires: php(language) >= 5.6
%if ! %{bootstrap}
# remirepo:1
-%if 0%{fedora} >= 27
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-autoloader(%{gh_owner}/zend-eventmanager) >= 2.6.2 with php-autoloader(%{gh_owner}/zend-eventmanager) < 4)
Requires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
# remirepo:6
@@ -99,7 +99,7 @@ Requires: php-autoloader(%{gh_owner}/zend-stdlib) >= 2.7
# "zendframework/zend-http": "Zend\\Http component",
# "zendframework/zend-servicemanager": "Zend\\ServiceManager component",
# "zendframework/zend-validator": "Zend\\Validator component"
-%if 0%{?fedora} >= 21
+%if 0%{?fedora} >= 21 || 0%{?rhel} >= 8
Suggests: php-composer(mongodb/mongodb)
Suggests: php-autoloader(%{gh_owner}/zend-cache)
Suggests: php-autoloader(%{gh_owner}/zend-db)
@@ -197,6 +197,9 @@ exit $ret
%changelog
+* Thu Dec 6 2018 Remi Collet <remi@remirepo.net> - 2.8.5-3
+- cleanup for EL-8
+
* Fri Mar 23 2018 Remi Collet <remi@remirepo.net> - 2.8.5-2
- switch to phpunit6 and php-mock2